MEXEC(1)

NAME
mExec - Create a 2MASS, SDSS or DSS mosaic based on a size and location

SYNOPSIS
mExec [-q] [-r rawdir] [-n ntilex] [-m ntiley] [-l] [-k] [-c] [-o output.fits] [-d level] [-f region.hdr | -h header] survey band [workspace-dir]

DESCRIPTION
The mExec module is a mosaicking executive for 2MASS, SDSS, and DSS data. It includes remote data and metadata access. Alternatively, users can mosaic a set of data already on disk.

OPTIONS

-q  Use mProjectQL for reprojections. Much faster but not quite flux-conserving.

-r rawdir
    Provide path to directory containing original ("raw") data which will be reprojected and mosaicked. Not necessary if using mExec to retrieve remote data from the 2MASS, SDSS or DSS surveys.

-n ntilex
    Number of output tiles to create along the X-axis - default is 1 for a single mosaicked image.

-m ntiley
    Number of output tiles to create along the Y-axis - default is equal to ntilex.

-l  "Level-only" flag (see mBgModel)

-k  If retrieving data from a remote archive, the "keep" flag will leave the original data products on disk after generating a mosaic. Without this flag, raw data will be deleted (unless it was provided by the user with the "-r" flag).

-c  Remove all temporary files and intermediate data products. Note: if not using the '-o' flag to specify an output file, this will also remove mosaic.fits.

-o output.fits
    Provide your own filename for the output mosaic. Default filename is "mosaic.fits."

-d level
    Print out additional debugging information (levels 1-4)

ARGUMENTS

mExec must be provided with FITS header information. This can be in the form of a header template ("-f" flag), or the user can pass header text directly to the program ("-h" flag).

-f region.hdr
    Path to header template used to create mosaic.

-h header
    Provide header template as text input rather than point to a file; see sample shell script that makes use of this option.

survey band
    If not mosaicking user-provided data ("-r" flag), must select one of the following combinations of survey and band: 2MASS [j, h, k] SDSS [u, g, r, i, z] DSS [DSS1, DSS1R, DSS1B, DSS2, DSS2B, DSS2R, DSS2IR]

workspace-dir
    Directory where intermediate files will be created. If no workspace is given, a unique local subdirectory will be created (e.g.; ./MOSAIC_AAAaa17v)

RESULT
[struct stat="OK", workspace="workspace-dir"]

The output mosaic(s), and any intermediate files (if the "-c" flag was not used) will be inside workspace-dir.

MESSAGES

OK  [struct stat="OK", workspace="workdir"]

ERROR
    Must have either header file (-f) or header text (-h)

ERROR
    Can't open original header template file: [region.hdr]

ERROR
    Can't open workspace header template file: [region.hdr]

ERROR
    Can't create proper subdirectories in workspace (may already exist)

ERROR
    Can't open header template file

ERROR
    Can't open expanded header file: [big_region.hdr]

ERROR
    survey has no data covering expanded area

ERROR
    survey has no data covering this area

ERROR
    No data was available for the region specified at this time

ERROR
    Bad WCS in input image

ERROR
    Can't open mosaic file: [mosaic.fits]

ERROR
    Can't open save file: [image.fits]

ERROR
    Output wcsinit() failed

ERROR
    Error from another Montage module

EXAMPLES

To create a small mosaic of the area around m31, located at coordinates "10.68469 41.26904":

$ mHdr m31 0.3 m31.hdr
    [struct stat="OK", count="16"]

$ mExec -o m31.fits -f m31.hdr 2MASS J tempdir
    [struct stat="OK", workspace="/path/to/tempdir"]

To mosaic your own collection of data, contained in the directory "raw":

$ mImgtbl raw raw.tbl
    [struct stat="OK", count=16, badfits=0]

$ mMakeHdr raw.tbl raw.hdr
    [struct stat="OK", count=16, clon=0.118289, clat=0.118288, lonsize=0.236660, latsize=0.236660, posang=359.999756, lon1=0.236618, lat1=-0.000042, lon2=359.999959, lat2=-0.000041, lon3=359.999959, lat3=0.236618, lon4=0.236620, lat4=0.236617]

$ mExec -o my_mosaic.fits raw.hdr workdir
    [struct stat="OK", workspace="/path/to/workdir"]

BUGS
The drizzle algorithm has been implemented but has not been tested in this release.

If a header template contains carriage returns (i.e., created/modified on a Windows machine), the cfitsio library will be unable to read it properly, resulting in the error: [struct stat="ERROR", status=207, msg="illegal character in keyword"]

It is best for the background correction algorithms if the area described in the header template completely encloses all of the input images in their entirety. If parts of input images are "chopped off" by the header template, the background correction will be affected. We recommend you use an expanded header for the reprojection and background modeling steps, returning to the originally desired header size for the final coaddition. The default background matching assumes that there are no non-linear background variations in the individual images (and therefore in the overlap differences). If there is any uncertainty in this regard, it is safer to turn on the "level only" background matching (the "-l" flag in mBgModel.

COPYRIGHT
2001-2015 California Institute of Technology, Pasadena, California

If your research uses Montage, please include the following acknowledgement: "This research made use of Montage. It is funded by the National Science Foundation under Grant Number ACI-1440620, and was previously funded by the National Aeronautics and Space Administration's Earth Science Technology Office, Computation Technologies Project, under Cooperative Agreement Number NCC5-626 between NASA and the California Institute of Technology."

The Montage distribution includes an adaptation of the MOPEX algorithm developed at the Spitzer Science Center.